App\SessionsBundle\Entity\SessionTextValues:
  type: entity
  table: session_text_values
  repositoryClass: App\SessionsBundle\Repository\SessionTextValuesRepository
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    value_name:
      type: string
      length: 255
    value:
      type: text
  manyToOne:
    sessions:
      targetEntity: Sessions
      inversedBy: session_text_values
      joinColumn:
        name: session_id
        referencedColumnName: id
      cascade: ["persist", "remove"]